<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Persons</title>
</head>

<body>
    <h3>Show persons</h3>
    <button>
        Show persons
    </button>

    <ul id="target"></ul>

    <script>
        async function fetchPersons() {
            const response = await fetch("http://localhost:8080/api/person");
            const data = await response.json();
            return data;
        }

        document.querySelector("button").addEventListener("click", async() => {
            const persons = await fetchPersons();
            const target = document.querySelector("#target");
            for (const person of persons) {
                target.innerHTML += "<li>" + person.name; + "</li>";
            }
        });
    </script>
</body>

</html>